/**
 * @license
 * Copyright (c) 2015 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt
 * The complete set of authors may be found at
 * http://polymer.github.io/AUTHORS.txt
 * The complete set of contributors may be found at
 * http://polymer.github.io/CONTRIBUTORS.txt
 * Code distributed by Google as part of the polymer project is also
 * subject to an additional IP rights grant found at
 * http://polymer.github.io/PATENTS.txt
 */
import { Options as AnalyzerOptions } from '../analyzer';
import { SourceRange } from '../model/model';
import { Warning } from '../warning/warning';
import { EditorService, SourcePosition, TypeaheadCompletion } from './editor-service';
export declare class LocalEditorService extends EditorService {
    private _analyzer;
    constructor(options: AnalyzerOptions);
    fileChanged(localPath: string, contents?: string): Promise<void>;
    getDocumentationAtPosition(localPath: string, position: SourcePosition): Promise<string | undefined>;
    getDefinitionForFeatureAtPosition(localPath: string, position: SourcePosition): Promise<SourceRange | undefined>;
    getTypeaheadCompletionsAtPosition(localPath: string, position: SourcePosition): Promise<TypeaheadCompletion | undefined>;
    getWarningsForFile(localPath: string): Promise<Warning[]>;
    _clearCaches(): Promise<void>;
    private _getFeatureAt(localPath, position);
    private _getLocationResult(document, position);
}
