import { SourceRange } from '../model/model';
import { Warning } from '../warning/warning';
import { EditorService, SourcePosition, TypeaheadCompletion } from './editor-service';
/**
 * Runs in-process and communicates to the editor server, which
 * runs in a child process. Exposes the same interface as the
 * LocalEditorService.
 */
export declare class RemoteEditorService extends EditorService {
    private _channel;
    constructor(basedir: string);
    getWarningsForFile(localPath: string): Promise<Warning[]>;
    fileChanged(localPath: string, contents?: string): Promise<void>;
    getDocumentationAtPosition(localPath: string, position: SourcePosition): Promise<string | undefined>;
    getDefinitionForFeatureAtPosition(localPath: string, position: SourcePosition): Promise<SourceRange>;
    getTypeaheadCompletionsAtPosition(localPath: string, position: SourcePosition): Promise<TypeaheadCompletion | undefined>;
    _clearCaches(): Promise<void>;
    dispose(): void;
}
